# $Id: poppassd.spec 315 2005-12-11 23:54:47Z rpmbuild $

Summary: An Eudora and NUPOP change password server
Name: poppassd
Version: 1.8.5
Release: 4
Epoch: 0
License: Distributable
Group: System Environment/Daemons
URL: http://echelon.pl/pubs/poppassd.html
Source0: http://echelon.pl/pubs/poppassd-%{version}.tar.gz
Source1: poppassd.pam
Source2: poppassd.xinetd
Patch0: poppassd-ceti-1.8-rpm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pam-devel
Requires: pam, xinetd

%description
Poppassd is a daemon that allows users to change their password via Eudora
or NUPOP using a network protocol on port 106.  This package uses PAM.

Original version based on John Norstad's poppassd code.  John
Norstad's program ran the regular unix "passwd" command.  This version
calls PAM to change the password.

%prep
%setup -q
%patch0

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 0755 -D poppassd ${RPM_BUILD_ROOT}%{_sbindir}/poppassd
%{__install} -m 0644 -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/poppassd
%{__install} -m 0644 -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/poppassd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

## Macros for (un)install scripts.
#%define syslog_conf_line local4.err      /var/log/poppassd
#
#%post
## Install configuration line in /etc/syslog.conf to log poppassd on local4.
#echo -ne '\n%{syslog_conf_line}\n' >> /etc/syslog.conf
#
## Let daemon know that we've changed it's configuration.
#kill -SIGHUP $(cat /var/run/syslogd.pid)

%files
%defattr(-,root,root)
%doc README COPYING poppass poppass.html
%config %{_sysconfdir}/pam.d/poppassd
%config %{_sysconfdir}/xinetd.d/poppassd
%attr (0500,root,root) %{_sbindir}/*

%changelog
* Mon Nov 05 2012 Epe <hc6ep@yahoo.com> 1.8.5-4
- Added poppass.html and poppass to docdir
- Updated the pam configuration to comply with CentOS-6 requirements
- Added pam-devel to BuildRequire

* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.8.5-3
- Refactored macros, post, and install.
- Rebuilt in new build system.

* Mon Jul 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.8.5-2
- Fixed Group name.

* Sun Feb 13 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.8.5-1
- Updated to version 1.8.5
- Removed old pam patch.

* Tue Jan 14 2003 RazorsEdge Packaging <rpmpackaging@razorsedge.org>
- Updated to version 1.8.2
- Added xinetd support

* Mon Aug 23 1999 Karl O. Pinc <kop@meme.com>
- Initial rpm.
- Made patch to have poppassd use it's own pam service, instead of
  the passwd pam service.
- Notice bugs in the postun script.
- See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code.

